## NAME

pcap_set_tstamp_type - set the time stamp type to be used by a capture device

## SYNOPSIS

    #include <pcap/pcap.h>
    int pcap_set_tstamp_type(pcap_t *p, int tstamp_type);

## DESCRIPTION

pcap_set_tstamp_type() sets the type of time stamp desired for packets captured on the pcap descriptor to the type specified by tstamp_type. It must be called on a pcap descriptor created by pcap_create(3PCAP) that has not yet been activated by pcap_activate(3PCAP). pcap_list_tstamp_types(3PCAP) will give a list of the time stamp types supported by a given capture device. See \%pcap-tstamp(7) for a list of all the time stamp types.

## RETURN VALUE

pcap_set_tstamp_type() returns 0 on success if the specified time stamp type is expected to be supported by the capture device, PCAP_WARNING_TSTAMP_TYPE_NOTSUP if the specified time stamp type is not supported by the capture device, PCAP_ERROR_ACTIVATED if called on a capture handle that has been activated, and PCAP_ERROR_CANTSET_TSTAMP_TYPE if the capture device doesn't support setting the time stamp type (only older versions of libpcap will return that; newer versions will always allow the time stamp type to be set to the default type).

## BACKWARD COMPATIBILITY

This function became available in libpcap release 1.2.1. In previous releases, the time stamp type cannot be set; only the default time stamp type offered by a capture source is available.

## SEE ALSO

pcap(3PCAP), pcap_tstamp_type_name_to_val(3PCAP)

This HTML page was made with roffit.